<template>
  <section data-cid="{ BhLoginResetUi }" class="flex-1 lg:flex-none">
    <a-cover-l class="reset min-h-screen py-12 px-4 sm:px-6 lg:px-20 xl:px-28">
      <a-center-l class="reset max-w-sm w-full" data-centered>
        <a-box-l class="reset">
          <a-stack-l class="reset space-y-20">
            <a-stack-l class="reset space-y-6">
              <brand-logo class="self-start h-8 w-auto" alt="Biz Hunt logo" />
              <h2 class="text-3xl font-bold">Escriu la nova contrassenya</h2>
            </a-stack-l>

            <a-box-l class="reset">
              <formulate-form
                v-model="credentials"
                @submit="$emit('submit', credentials)"
              >
                <a-stack-l class="reset space-y-6">
                  <formulate-input
                    type="password"
                    name="password"
                    label="Nova contrassenya"
                    validation="bail|required|format"
                    :validation-rules="{
                      format: ({ value }) => {
                        return /^(?=.*\d)(?=.*[a-z])(?=.*[A-Z])(?=.*[a-zA-Z]).{8,}$/.test(
                          value
                        );
                      },
                    }"
                    :validation-messages="{
                      required: 'Cal que introdueixis la nova contrassenya',
                      format:
                        'La contrassenya ha de tenir al menys 8 caràcters, una majúscula i un número',
                    }"
                    label-class="text-sm font-medium leading-5 text-gray-600"
                    element-class="mt-1 w-full rounded shadow-sm"
                    input-class="[ w-full px-3 py-2 border border-gray-300 rounded placeholder-gray-400 ][ focus:outline-none focus:ring focus:ring-gray-300 focus:ring-opacity-50 focus:border-gray-300 ][ transition duration-150 ease-in-out ][ sm:text-sm sm:leading-5 ]"
                    errors-class="mt-1"
                    error-class="text-sm font-medium leading-5 text-error"
                  />

                  <formulate-input
                    type="password"
                    name="passwordConfirmation"
                    label="Confirma la contrassenya"
                    validation="bail|required|confirm:password"
                    :validation-messages="{
                      required:
                        'Cal que introdueixis de nou la nova contrassenya',
                      confirm: 'La contrassenya de confirmació no coincideix',
                    }"
                    label-class="text-sm font-medium leading-5 text-gray-600"
                    element-class="mt-1 w-full rounded shadow-sm"
                    input-class="[ w-full px-3 py-2 border border-gray-300 rounded placeholder-gray-400 ][ focus:outline-none focus:ring focus:ring-gray-300 focus:ring-opacity-50 focus:border-gray-300 ][ transition duration-150 ease-in-out ][ sm:text-sm sm:leading-5 ]"
                    errors-class="mt-1"
                    error-class="text-sm font-medium leading-5 text-error"
                  />

                  <formulate-input
                    type="submit"
                    label="Canvia la contrassenya"
                    element-class="mt-1 w-full rounded shadow-sm"
                    input-class="[ w-full py-3 px-4 border border-transparent rounded ][ text-sm font-semibold tracking-wider ][ text-gray-50 bg-gray-600 hover:bg-gray-500 active:bg-gray-700 ][ focus:outline-none focus:border-gray-700 focus:ring focus:ring-gray-300 focus:ring-opacity-50 ][ transition duration-150 ease-in-out ]"
                  />
                </a-stack-l>
              </formulate-form>
            </a-box-l>
          </a-stack-l>
        </a-box-l>
      </a-center-l>
    </a-cover-l>
  </section>
</template>

<script>
import BrandLogo from '~/assets/images/bizhunt-logo.svg?inline';

export default {
  name: 'BhLoginResetUi',
  components: {
    BrandLogo,
  },
  data: () => ({
    credentials: {},
  }),
};
</script>
